# UniTAP.dev.ports.modules.link.hdmi.link

class HdmiLinkTx:

Main class describes HDMI link on Source (TX - transmitter) side. Contains following objects for working with link:

- TMDS `tmds`.
- FRL `frl`.
- Status `status`.

HdmiLinkTx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
tmds: Optional[UniTAP.dev.ports.modules.link.hdmi.tmds_tx.TmdsTx]

Returns object of class `TmdsTx` for working with TMDS. None if TMDS does not support on the device.

###### Returns:

> object of `TmdsTx`|None type

frl: Optional[UniTAP.dev.ports.modules.link.hdmi.frl_control_tx.FrlControlTx]

Returns object of class `FrlControlTx` for working with FRL. None if FRL does not support on the device.

###### Returns:

> object of `FrlControlTx`|None type

status: UniTAP.dev.ports.modules.link.hdmi.status_tx.StatusTx

Returns object of class `StatusTx` for working with link status.

###### Returns:

> object of `StatusTx` type

class HdmiLinkRx:

Main class describes HDMI link on Sink (RX - receiver) side. Contains following objects for working with link:

- TMDS `tmds`.
- FRL `frl`.
- ARC `arc`.
- Status `status`.

HdmiLinkRx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
tmds: Optional[UniTAP.dev.ports.modules.link.hdmi.tmds_rx.TmdsRx]

Returns object of class `TmdsRx` for working with TMDS. None if TMDS does not support on the device.

###### Returns:

> object of `TmdsRx`|None type

frl: Optional[UniTAP.dev.ports.modules.link.hdmi.frl_caps_rx.FrlControlRx]

Returns object of class `FrlControlRx` for working with FRL. None if FRL does not support on the device.

###### Returns:

> object of `FrlControlRx`|None type

arc: Optional[UniTAP.dev.ports.modules.link.hdmi.arc_rx.ArcRx]

Returns object of class `ArcRx` for working with ARC. None if ARC does not support on the device.

###### Returns:

> object of `ArcRx`|None type

status: UniTAP.dev.ports.modules.link.hdmi.status_rx.StatusRx

Returns object of class `StatusRx` for working with link status.

###### Returns:

> object of `StatusRx` type